Qt API | Qtopia API | Qtopia Documentation |

# AddressBookAccess Class Reference
[qpepim module]

The AddressBookAccess class provides a safe API for accessing address book data. More...

`#include <qtopia/pim/addressbookaccess.h>`

Inherits QObject.

List of all member functions.

## Public Members

- AddressBookAccess ()
- ~AddressBookAccess ()
- bool editSupported () const
- void updateContact ( const PimContact & contact )
- void removeContact ( const PimContact & contact )
- void addContact ( const PimContact & contact )
- PimContact personalDetails () const
- PimContact contactForId ( const QUuid & u, bool * ok = 0 ) const

## Signals

- void addressBookUpdated ()

## Detailed Description

The AddressBookAccess class provides a safe API for accessing address book data.

AddressBookAccess provides a safe API for accessing PimContacts stored by Qtopia's contacts application. AddressBookAccess tries to keep in sync with modifications, and alerts the user of the library when modifications have been made to the data.

See also QPEPIM Library.

## Member Function Documentation

### AddressBookAccess::AddressBookAccess ()

Constructs a new AddressBookAccess.

### AddressBookAccess::~AddressBookAccess ()

Cleans up the the Addressbook access.

### void AddressBookAccess::addContact ( const PimContact & contact )

If supported will assign a new unique ID to contact and add the contact to the pim data.

Adding contacts requires the Contacts service to be available.

### void AddressBookAccess::addressBookUpdated ()`[signal]`

This signal is emitted when a contact in the address book is added, removed or modified.

### PimContact AddressBookAccess::contactForId ( const QUuid & u, bool * ok = 0 ) const

If there exists an contact with the uid u, return that contact. Returns a null contact if otherwise.

If ok is non-null, *ok is set to TRUE if the contact is found, and FALSE if the contact is not found.

### bool AddressBookAccess::editSupported () const

Returns TRUE if it is possible to add, remove and update contacts in the pim data. Otherwise returns FALSE.

Adding, removing and updating contacts requires the Contacts service to be available

### PimContact AddressBookAccess::personalDetails () const

Returns the PimContact marked as Personal Details.

### void AddressBookAccess::removeContact ( const PimContact & contact )

If supported will remove contact from pim data.

Removing contacts requires the Contacts service to be available.

### void AddressBookAccess::updateContact ( const PimContact & contact )

If supported will update contact in pim data.

Updating contacts requires the Contacts service to be available.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.